<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>DeploymentUtil</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.util</a></div>
<h2 title="Class DeploymentUtil" class="title">Class DeploymentUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>DeploymentUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">DeploymentUtil</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static Set&lt;ProcessingUnit&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAssignedCoreForProcess(org.eclipse.app4mc.amalthea.model.Process,org.eclipse.app4mc.amalthea.model.Amalthea)">getAssignedCoreForProcess</a></span>&#8203;(Process&nbsp;process,
                         Amalthea&nbsp;model)</code></th>
<td class="colLast">
<div class="block">Returns the cores the process is assigned to.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static List&lt;HwFeatureCategory&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFeatureCategories(org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition)">getFeatureCategories</a></span>&#8203;(ProcessingUnitDefinition&nbsp;procUnitDef)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static Set&lt;ISR&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getISRsMappedToCore(org.eclipse.app4mc.amalthea.model.ProcessingUnit,org.eclipse.app4mc.amalthea.model.Amalthea)">getISRsMappedToCore</a></span>&#8203;(ProcessingUnit&nbsp;core,
                   Amalthea&nbsp;model)</code></th>
<td class="colLast">
<div class="block">Returns a set of all ISR mapped to that core</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static Set&lt;Memory&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLabelMapping(org.eclipse.app4mc.amalthea.model.Label)">getLabelMapping</a></span>&#8203;(Label&nbsp;label)</code></th>
<td class="colLast">
<div class="block">Set of memories the label is mapped to (should be only one!)</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static Set&lt;Process&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getProcessesMappedToCore(org.eclipse.app4mc.amalthea.model.ProcessingUnit,org.eclipse.app4mc.amalthea.model.Amalthea)">getProcessesMappedToCore</a></span>&#8203;(ProcessingUnit&nbsp;core,
                        Amalthea&nbsp;model)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static List&lt;ProcessingUnitDefinition&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getProcessingUnitDefinitionsForHwCategories(org.eclipse.app4mc.amalthea.model.HwFeatureCategory,java.util.List)">getProcessingUnitDefinitionsForHwCategories</a></span>&#8203;(HwFeatureCategory&nbsp;hwFeatureCat,
                                           List&lt;ProcessingUnitDefinition&gt;&nbsp;procUnitDefinitons)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static List&lt;ProcessingUnitDefinition&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getProcessingUnitDefinitionsForHwFeature(org.eclipse.app4mc.amalthea.model.HwFeature,java.util.List)">getProcessingUnitDefinitionsForHwFeature</a></span>&#8203;(HwFeature&nbsp;feature,
                                        List&lt;ProcessingUnitDefinition&gt;&nbsp;procUnitDefinitons)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static List&lt;TaskAllocation&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTaskAllocations(org.eclipse.app4mc.amalthea.model.Task,org.eclipse.app4mc.amalthea.model.Amalthea)">getTaskAllocations</a></span>&#8203;(Task&nbsp;task,
                  Amalthea&nbsp;model)</code></th>
<td class="colLast">
<div class="block">Returns a list of all allocations of a task</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static Set&lt;Task&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTasksMappedToCore(org.eclipse.app4mc.amalthea.model.ProcessingUnit,org.eclipse.app4mc.amalthea.model.Amalthea)">getTasksMappedToCore</a></span>&#8203;(ProcessingUnit&nbsp;core,
                    Amalthea&nbsp;model)</code></th>
<td class="colLast">
<div class="block">Returns a set of tasks mapped to a core.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isMapped(org.eclipse.app4mc.amalthea.model.Label)">isMapped</a></span>&#8203;(Label&nbsp;label)</code></th>
<td class="colLast">
<div class="block">Returns true if at least a label mapping exists</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static MemoryMapping</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLabelMapping(org.eclipse.app4mc.amalthea.model.Label,org.eclipse.app4mc.amalthea.model.Memory,org.eclipse.app4mc.amalthea.model.Amalthea)">setLabelMapping</a></span>&#8203;(Label&nbsp;label,
               Memory&nbsp;mem,
               Amalthea&nbsp;model)</code></th>
<td class="colLast">
<div class="block">Returns a created LabelMapping element which was already added to the model</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getProcessesMappedToCore(org.eclipse.app4mc.amalthea.model.ProcessingUnit,org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProcessesMappedToCore</h4>
<pre class="methodSignature">public static&nbsp;Set&lt;Process&gt;&nbsp;getProcessesMappedToCore&#8203;(ProcessingUnit&nbsp;core,
                                                    Amalthea&nbsp;model)</pre>
</li>
</ul>
<a id="getTasksMappedToCore(org.eclipse.app4mc.amalthea.model.ProcessingUnit,org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTasksMappedToCore</h4>
<pre class="methodSignature">public static&nbsp;Set&lt;Task&gt;&nbsp;getTasksMappedToCore&#8203;(ProcessingUnit&nbsp;core,
                                             Amalthea&nbsp;model)</pre>
<div class="block">Returns a set of tasks mapped to a core. Depends on responsibilities of
 schedulers and the task allocated to them Assumption: Scheduler
 responsibilities are set empty core affinities are ignored otherwise the
 intersection of core affinity and scheduler responsibility is returned</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Set of tasks</dd>
</dl>
</li>
</ul>
<a id="getISRsMappedToCore(org.eclipse.app4mc.amalthea.model.ProcessingUnit,org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getISRsMappedToCore</h4>
<pre class="methodSignature">public static&nbsp;Set&lt;ISR&gt;&nbsp;getISRsMappedToCore&#8203;(ProcessingUnit&nbsp;core,
                                           Amalthea&nbsp;model)</pre>
<div class="block">Returns a set of all ISR mapped to that core</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Set of interrupt service routines (ISR)</dd>
</dl>
</li>
</ul>
<a id="getTaskAllocations(org.eclipse.app4mc.amalthea.model.Task,org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaskAllocations</h4>
<pre class="methodSignature">public static&nbsp;List&lt;TaskAllocation&gt;&nbsp;getTaskAllocations&#8203;(Task&nbsp;task,
                                                      Amalthea&nbsp;model)</pre>
<div class="block">Returns a list of all allocations of a task</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of task allocations</dd>
</dl>
</li>
</ul>
<a id="isMapped(org.eclipse.app4mc.amalthea.model.Label)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMapped</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isMapped&#8203;(Label&nbsp;label)</pre>
<div class="block">Returns true if at least a label mapping exists</div>
</li>
</ul>
<a id="getLabelMapping(org.eclipse.app4mc.amalthea.model.Label)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLabelMapping</h4>
<pre class="methodSignature">public static&nbsp;Set&lt;Memory&gt;&nbsp;getLabelMapping&#8203;(Label&nbsp;label)</pre>
<div class="block">Set of memories the label is mapped to (should be only one!)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Set of Memories</dd>
</dl>
</li>
</ul>
<a id="setLabelMapping(org.eclipse.app4mc.amalthea.model.Label,org.eclipse.app4mc.amalthea.model.Memory,org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLabelMapping</h4>
<pre class="methodSignature">public static&nbsp;MemoryMapping&nbsp;setLabelMapping&#8203;(Label&nbsp;label,
                                            Memory&nbsp;mem,
                                            Amalthea&nbsp;model)</pre>
<div class="block">Returns a created LabelMapping element which was already added to the model</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>MemoryMapping</dd>
</dl>
</li>
</ul>
<a id="getAssignedCoreForProcess(org.eclipse.app4mc.amalthea.model.Process,org.eclipse.app4mc.amalthea.model.Amalthea)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAssignedCoreForProcess</h4>
<pre class="methodSignature">public static&nbsp;Set&lt;ProcessingUnit&gt;&nbsp;getAssignedCoreForProcess&#8203;(Process&nbsp;process,
                                                            Amalthea&nbsp;model)</pre>
<div class="block">Returns the cores the process is assigned to. Empty core affinities are
 ignored, otherwise the intersection of core affinity and scheduler
 responsibility is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>process</code> - Task or ISR</dd>
<dd><code>model</code> - the containing model</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Set of cores</dd>
</dl>
</li>
</ul>
<a id="getFeatureCategories(org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFeatureCategories</h4>
<pre class="methodSignature">public static&nbsp;List&lt;HwFeatureCategory&gt;&nbsp;getFeatureCategories&#8203;(ProcessingUnitDefinition&nbsp;procUnitDef)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>procUnitDef</code> - processing unit definition</dd>
</dl>
</li>
</ul>
<a id="getProcessingUnitDefinitionsForHwCategories(org.eclipse.app4mc.amalthea.model.HwFeatureCategory,java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProcessingUnitDefinitionsForHwCategories</h4>
<pre class="methodSignature">public static&nbsp;List&lt;ProcessingUnitDefinition&gt;&nbsp;getProcessingUnitDefinitionsForHwCategories&#8203;(HwFeatureCategory&nbsp;hwFeatureCat,
                                                                                         List&lt;ProcessingUnitDefinition&gt;&nbsp;procUnitDefinitons)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hwFeatureCat</code> - selection criteria</dd>
<dd><code>procUnitDefinitons</code> - list of potential definitions</dd>
</dl>
</li>
</ul>
<a id="getProcessingUnitDefinitionsForHwFeature(org.eclipse.app4mc.amalthea.model.HwFeature,java.util.List)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getProcessingUnitDefinitionsForHwFeature</h4>
<pre class="methodSignature">public static&nbsp;List&lt;ProcessingUnitDefinition&gt;&nbsp;getProcessingUnitDefinitionsForHwFeature&#8203;(HwFeature&nbsp;feature,
                                                                                      List&lt;ProcessingUnitDefinition&gt;&nbsp;procUnitDefinitons)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>feature</code> - selection criteria</dd>
<dd><code>procUnitDefinitons</code> - list of potential definitions</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
